// national-debt.c
#include "national-debt.h"

static int debt=0;   // Initialize debt to zero.
static int limit=0;  // Initialize (debt) limit to zero.

// Show the current debt.
int getDebt(void) {
  return debt;
}

// Show the current (debt) limit.
int getLimit(void) {
  return limit;
}

/* Increment the debt, but ensure we never exceed the limit.  If the
 * limit is currently 0, set it to one.  Otherwise, the limit should
 * be increased by doubling its current value. */
void addToDebt(void) {
  if (debt == limit) {
    if (limit == 0) {
      limit = 1;
    } else {
      limit *= 2;
    }
    printf("New limit = %u\n", limit);
  }
  debt++;
  return;
}

